## tree-sitter-vim 0.3.0

=== Makefile ===

.PHONY: build

build: parser/vim.so

parser/vim.so: src/parser.c src/scanner.c
	$(RM) $@
	mkdir -p parser
	$(CC) -o $@ -Isrc $^ -shared -fPIC -Os

src/parser.c: grammar.js
	tree-sitter generate

.PHONY: all
all:
	npm run test

.PHONY: run
run: all
	tree-sitter build-wasm
	tree-sitter web-ui

=== debian/changelog ===
tree-sitter-vim (0.3.0-2) unstable; urgency=medium

  * Upload to unstable
  * Remove unnecessary python3 Build-Depends
  * Add comment about provenance of src/tree_sitter/parser.h

 -- James McCoy <jamessan@debian.org>  Thu, 25 Jan 2024 07:59:40 -0500

tree-sitter-vim (0.3.0-1) experimental; urgency=medium

  * Initial debianization. (Closes: #1052203)

 -- James McCoy <jamessan@debian.org>  Sat, 07 Oct 2023 21:51:58 -0400

=== debian/control ===
Source: tree-sitter-vim
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 nodejs,
 tree-sitter-cli,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/neovim/tree-sitter-vim/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-vim.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-vim

Package: tree-sitter-vim-src
Architecture: all
Depends:
 ${misc:Depends},
 g++,
 libtree-sitter-dev,
 pkg-config,
Description: Vimscript parser for Tree-sitter (source files)
 This package contains the generated source files for building the Vimscript
 parser shared object.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export TREE_SITTER_SRC_DIR = /usr/src/tree-sitter/vim/${DEB_VERSION_UPSTREAM}/

%:
	dh $@

debian/%: debian/%.in
	sed "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@

override_dh_auto_build:
	tree-sitter generate --no-bindings

override_dh_install: debian/Makefile
	dh_install

override_dh_auto_test:
	XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-vim-src

## tree-sitter-vim 0.4.0

=== Makefile ===
VERSION := 0.4.0

LANGUAGE_NAME := tree-sitter-vim

# repository
SRC_DIR := src

PARSER_REPO_URL := $(shell git -C $(SRC_DIR) remote get-url origin 2>/dev/null)

ifeq ($(PARSER_URL),)
	PARSER_URL := $(subst .git,,$(PARSER_REPO_URL))
ifeq ($(shell echo $(PARSER_URL) | grep '^[a-z][-+.0-9a-z]*://'),)
	PARSER_URL := $(subst :,/,$(PARSER_URL))
	PARSER_URL := $(subst git@,https://,$(PARSER_URL))
endif
endif

TS ?= tree-sitter

# ABI versioning
SONAME_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
SONAME_MINOR := $(word 2,$(subst ., ,$(VERSION)))

# install directory layout
PREFIX ?= /usr/local
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
PCLIBDIR ?= $(LIBDIR)/pkgconfig

# source/object files
SRCS := $(wildcard $(SRC_DIR)/*.c)
OBJS := $(patsubst %.c,%.o,$(SRCS))

# flags
ARFLAGS := rcs
override CFLAGS += -I$(SRC_DIR) -std=c11 -fPIC

# OS-specific bits
ifeq ($(OS),Windows_NT)
	$(error "Windows is not supported")
else ifeq ($(shell uname),Darwin)
	SOEXT = dylib
	SOEXTVER_MAJOR = $(SONAME_MAJOR).dylib
	SOEXTVER = $(SONAME_MAJOR).$(SONAME_MINOR).dylib
	LINKSHARED := $(LINKSHARED)-dynamiclib -Wl,
	ifneq ($(ADDITIONAL_LIBS),)
	LINKSHARED := $(LINKSHARED)$(ADDITIONAL_LIBS),
	endif
	LINKSHARED := $(LINKSHARED)-install_name,$(LIBDIR)/lib$(LANGUAGE_NAME).$(SONAME_MAJOR).dylib,-rpath,@executable_path/../Frameworks
else
	SOEXT = so
	SOEXTVER_MAJOR = so.$(SONAME_MAJOR)
	SOEXTVER = so.$(SONAME_MAJOR).$(SONAME_MINOR)
	LINKSHARED := $(LINKSHARED)-shared -Wl,
	ifneq ($(ADDITIONAL_LIBS),)
	LINKSHARED := $(LINKSHARED)$(ADDITIONAL_LIBS)
	endif
	LINKSHARED := $(LINKSHARED)-soname,lib$(LANGUAGE_NAME).so.$(SONAME_MAJOR)
endif
ifneq ($(filter $(shell uname),FreeBSD NetBSD DragonFly),)
	PCLIBDIR := $(PREFIX)/libdata/pkgconfig
endif

all: lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT) $(LANGUAGE_NAME).pc

lib$(LANGUAGE_NAME).a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

lib$(LANGUAGE_NAME).$(SOEXT): $(OBJS)
	$(CC) $(LDFLAGS) $(LINKSHARED) $^ $(LDLIBS) -o $@
ifneq ($(STRIP),)
	$(STRIP) $@
endif

$(LANGUAGE_NAME).pc: bindings/c/$(LANGUAGE_NAME).pc.in
	sed  -e 's|@URL@|$(PARSER_URL)|' \
		-e 's|@VERSION@|$(VERSION)|' \
		-e 's|@LIBDIR@|$(LIBDIR)|' \
		-e 's|@INCLUDEDIR@|$(INCLUDEDIR)|' \
		-e 's|@REQUIRES@|$(REQUIRES)|' \
		-e 's|@ADDITIONAL_LIBS@|$(ADDITIONAL_LIBS)|' \
		-e 's|=$(PREFIX)|=$${prefix}|' \
		-e 's|@PREFIX@|$(PREFIX)|' $< > $@

$(SRC_DIR)/parser.c: grammar.js
	$(TS) generate --no-bindings

install: all
	install -Dm644 bindings/c/$(LANGUAGE_NAME).h '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h
	install -Dm644 $(LANGUAGE_NAME).pc '$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc
	install -Dm755 lib$(LANGUAGE_NAME).a '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a
	install -m755 lib$(LANGUAGE_NAME).$(SOEXT) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT)

uninstall:
	$(RM) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT) \
		'$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h \
		'$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc

clean:
	$(RM) $(OBJS) $(LANGUAGE_NAME).pc lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT) parser/

test:
	$(TS) test

parser/vim.so: CFLAGS += -Os -shared
parser/vim.so: $(SRCS)
	@mkdir -p parser
	$(CC) $(CFLAGS) $^ -o $@

.PHONY: all install uninstall clean test

=== debian/changelog ===
tree-sitter-vim (0.4.0-3) unstable; urgency=medium

  * Add libc-dev and make to tree-sitter-src Depends
  * Add cargo and rust explicitly to Build-Depends

 -- James McCoy <jamessan@debian.org>  Sun, 16 Mar 2025 22:00:10 -0400

tree-sitter-vim (0.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/clean: Add trailing slash to debian/.cache/
  * Add librust-cc-dev to Build-Depends
  * Revert "Switch release to experimental"
  * Declare compliance with Policy 4.7.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 08 Mar 2025 14:35:28 -0500

tree-sitter-vim (0.4.0-1) experimental; urgency=medium

  * New upstream release
  * Adapt shared object build from C++ to C
  * Include src/tree_sitter/ in the package
  * Switch pkg-config Depends to pkgconf
  * Bump minimum version of tree-sitter (Build-)Depends to 0.21
  * Declare compliance with Policy 4.7.0, no changes needed
  * Add salsa-ci.yml config
  * Switch release to experimental
  * Add librust-tree-sitter-vim-dev package

 -- James McCoy <jamessan@debian.org>  Sat, 21 Dec 2024 13:19:24 -0500

=== debian/control ===
Source: tree-sitter-vim
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 cargo:native,
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 nodejs,
 rustc:native,
 tree-sitter-cli (>= 0.21),
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/tree-sitter-grammars/tree-sitter-vim/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-vim.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-vim

Package: tree-sitter-vim-src
Architecture: all
Depends:
 ${misc:Depends},
 gcc,
 libc6-dev | libc-dev,
 libtree-sitter-dev (>= 0.21),
 make,
 pkgconf,
Description: Vimscript parser for Tree-sitter (source files)
 This package contains the generated source files for building the Vimscript
 parser shared object.

Package: librust-tree-sitter-vim-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 ${misc:Depends},
Provides:
 librust-tree-sitter-vim+default-dev (= ${binary:Version}),
 librust-tree-sitter-vim-0-dev (= ${binary:Version}),
 librust-tree-sitter-vim-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-vim-0.4-dev (= ${binary:Version}),
 librust-tree-sitter-vim-0.4+default-dev (= ${binary:Version}),
 librust-tree-sitter-vim-0.4.0-dev (= ${binary:Version}),
 librust-tree-sitter-vim-0.4.0+default-dev (= ${binary:Version}),
Description: Vimscript grammar for the tree-sitter parser - Rust source code
 tree-sitter-vim is a tree-sitter grammar for Vimscript.
 .
 Tree-sitter is a parser generator and incremental parsing library.
 .
 This package contains the source for the Rust tree-sitter-vim crate,
 packaged for use with cargo.

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,15 @@
 
 override_dh_auto_build:
 	tree-sitter generate --no-bindings
+	dh_auto_build --buildsystem=rust
+
+# Do not run Makefile install
+override_dh_auto_install:
+	dh_auto_install --buildsystem=rust
 
 override_dh_install: debian/Makefile
 	dh_install
 
 override_dh_auto_test:
 	XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test
+	dh_auto_test --buildsystem=rust

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-vim-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vim 0.4.0 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-vim-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-vim-0.4-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vim 0.4.0 --all-targets
Features:
 test-name=librust-tree-sitter-vim-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-vim-0.4+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vim 0.4.0 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-vim-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-vim-0.4-dev,
Restrictions:
 allow-stderr,

## tree-sitter-vim 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 0.4.0
+VERSION := 0.7.0
 
 LANGUAGE_NAME := tree-sitter-vim

=== debian/changelog ===
tree-sitter-vim (0.7.0-3) unstable; urgency=medium

  * Require tree-sitter-cli >= 0.25 for autopkgtest

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 08:30:48 -0400

tree-sitter-vim (0.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:56:08 -0400

tree-sitter-vim (0.7.0-1) experimental; urgency=medium

  * New upstream release
  * Generate parser using the same language ABI as upstream's release

 -- James McCoy <jamessan@debian.org>  Wed, 03 Sep 2025 06:48:08 -0400

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  debhelper-compat (= 13),
  dh-sequence-rust,
  librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-tree-sitter-0.25+default-dev (>= 0.25.3),
  nodejs,
  rustc:native,
- tree-sitter-cli (>= 0.21),
+ tree-sitter-cli (>= 0.25.3),
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/tree-sitter-grammars/tree-sitter-vim/
@@ -44,10 +44,10 @@
  librust-tree-sitter-vim+default-dev (= ${binary:Version}),
  librust-tree-sitter-vim-0-dev (= ${binary:Version}),
  librust-tree-sitter-vim-0+default-dev (= ${binary:Version}),
- librust-tree-sitter-vim-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-vim-0.4+default-dev (= ${binary:Version}),
- librust-tree-sitter-vim-0.4.0-dev (= ${binary:Version}),
- librust-tree-sitter-vim-0.4.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vim-0.7-dev (= ${binary:Version}),
+ librust-tree-sitter-vim-0.7+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vim-0.7.0-dev (= ${binary:Version}),
+ librust-tree-sitter-vim-0.7.0+default-dev (= ${binary:Version}),
 Description: Vimscript grammar for the tree-sitter parser - Rust source code
  tree-sitter-vim is a tree-sitter grammar for Vimscript.
  .

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	sed "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@
 
 override_dh_auto_build:
-	tree-sitter generate --no-bindings
+	tree-sitter generate --abi $(shell sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)
 	dh_auto_build --buildsystem=rust
 
 # Do not run Makefile install

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli (>= 0.25), tree-sitter-vim-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vim 0.7.0 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-vim-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-vim-0.7.0-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vim 0.7.0 --all-targets
Features:
 test-name=librust-tree-sitter-vim-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-vim-0.7.0+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vim 0.7.0 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-vim-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-vim-0.7.0-dev,
Restrictions:
 allow-stderr,
